Bug 1412195 - [abrt] emacs: raise(): emacs-25.1 killed by SIGSEGV
Summary: [abrt] emacs: raise(): emacs-25.1 killed by SIGSEGV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 25
Hardware: x86_64
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ac1213a534fb333b9d332ec1782...
: 1430867 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 13:59 UTC by Ondrej Majerech
Modified: 2017-11-20 09:03 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-20 09:03:53 UTC


Attachments (Terms of Use)
File: backtrace (77.03 KB, text/plain)
2017-01-11 13:59 UTC, Ondrej Majerech
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-11 14:00 UTC, Ondrej Majerech
no flags Details
File: core_backtrace (12.39 KB, text/plain)
2017-01-11 14:00 UTC, Ondrej Majerech
no flags Details
File: dso_list (15.31 KB, text/plain)
2017-01-11 14:00 UTC, Ondrej Majerech
no flags Details
File: environ (1.61 KB, text/plain)
2017-01-11 14:00 UTC, Ondrej Majerech
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-11 14:00 UTC, Ondrej Majerech
no flags Details
File: maps (72.31 KB, text/plain)
2017-01-11 14:00 UTC, Ondrej Majerech
no flags Details
File: mountinfo (3.73 KB, text/plain)
2017-01-11 14:00 UTC, Ondrej Majerech
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-11 14:00 UTC, Ondrej Majerech
no flags Details
File: open_fds (1.76 KB, text/plain)
2017-01-11 14:00 UTC, Ondrej Majerech
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-11 14:00 UTC, Ondrej Majerech
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-11 14:00 UTC, Ondrej Majerech
no flags Details
Small C file (8 lines) called temp.c to illustrate emacs crash (460 bytes, text/x-csrc)
2017-04-17 14:09 UTC, Ranjan Maitra
no flags Details

Description Ondrej Majerech 2017-01-11 13:59:52 UTC
Description of problem:
I don't know what exactly has caused this, I'm afraid. It has happened twice so far. Both times I was in a C++ buffer, and had a *compilation* buffer opened in a second window. The crash is a bit random since it wasn't triggered by anything special -- just normal editing as I was doing for a few hours prior to the crash. Both times it happened after a few hours of editing.

I upgraded this machine to Fedora 25 a few days ago. I never had this crash on Fedora 24 even with the same ~/.emacs and working on the same code. My other machine still runs Fedora 24 and Emacs also doesn't crash on it, again working on the same code base and with the same ~/.emacs.

Version-Release number of selected component:
emacs-25.1-3.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        emacs
crash_function: raise
executable:     /usr/bin/emacs-25.1
global_pid:     28772
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 raise at ../sysdeps/unix/sysv/linux/raise.c:58
 #2 handle_fatal_signal at ../../src/sysdep.c:1601
 #3 deliver_thread_signal at ../../src/sysdep.c:1575
 #4 deliver_fatal_thread_signal at ../../src/sysdep.c:1613
 #5 handle_sigsegv at ../../src/sysdep.c:1695

Comment 1 Ondrej Majerech 2017-01-11 13:59:59 UTC
Created attachment 1239440 [details]
File: backtrace

Comment 2 Ondrej Majerech 2017-01-11 14:00:01 UTC
Created attachment 1239441 [details]
File: cgroup

Comment 3 Ondrej Majerech 2017-01-11 14:00:03 UTC
Created attachment 1239442 [details]
File: core_backtrace

Comment 4 Ondrej Majerech 2017-01-11 14:00:05 UTC
Created attachment 1239443 [details]
File: dso_list

Comment 5 Ondrej Majerech 2017-01-11 14:00:06 UTC
Created attachment 1239444 [details]
File: environ

Comment 6 Ondrej Majerech 2017-01-11 14:00:08 UTC
Created attachment 1239445 [details]
File: limits

Comment 7 Ondrej Majerech 2017-01-11 14:00:11 UTC
Created attachment 1239446 [details]
File: maps

Comment 8 Ondrej Majerech 2017-01-11 14:00:13 UTC
Created attachment 1239447 [details]
File: mountinfo

Comment 9 Ondrej Majerech 2017-01-11 14:00:14 UTC
Created attachment 1239448 [details]
File: namespaces

Comment 10 Ondrej Majerech 2017-01-11 14:00:16 UTC
Created attachment 1239449 [details]
File: open_fds

Comment 11 Ondrej Majerech 2017-01-11 14:00:17 UTC
Created attachment 1239450 [details]
File: proc_pid_status

Comment 12 Ondrej Majerech 2017-01-11 14:00:19 UTC
Created attachment 1239451 [details]
File: var_log_messages

Comment 13 Fabrice Salvaire 2017-01-28 19:32:18 UTC
I confirms Emacs is unstable on Fedora 25 : segfault when editing and strange behaviours.

I noticed the bottom half of my buffer is sometimes blinking. As well as fast cycling update of the menu.

I am using irony company yasnipet eldoc abbrev on C++ mode.

Comment 14 Robin Green 2017-02-06 18:33:55 UTC
Similar problem has been detected:

I was doing a git annotate via vc

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        emacs 'Identity Cards Act 2006.mw'
crash_function: raise
executable:     /usr/bin/emacs-25.1
global_pid:     13790
kernel:         4.9.6-200.fc25.x86_64
package:        emacs-25.1-3.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         emacs-25.1 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Robin Green 2017-02-06 18:39:04 UTC
abrt thinks my bug is similar, but I don't think it is because mine is reproducible. I will report my bug separately upstream.

Comment 16 m.oliver 2017-02-11 17:20:42 UTC
Similar problem has been detected:

Crash while typing.  This happens repeatedly, every 20 minutes or so.  I am seeing this for the first time today after doing a system update where about 100 packages where updated, NOT emacs, though.  It's a most cricial bug due to (so far limited, fortunately), data loss and interruption of work flow in a most central part of my work flow.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        emacs m2_chapter.tex
crash_function: raise
executable:     /usr/bin/emacs-25.1
global_pid:     4017
kernel:         4.9.8-201.fc25.x86_64
package:        emacs-25.1-3.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         emacs-25.1 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Edgar Hoch 2017-03-09 13:16:59 UTC
Similar problem has been detected:

Working with emacs, latex files

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        emacs
crash_function: raise
executable:     /usr/bin/emacs-25.1
global_pid:     10212
kernel:         4.9.13-200.fc25.x86_64
package:        emacs-25.1-3.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         emacs-25.1 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1497

Comment 18 Neal Becker 2017-03-09 18:31:32 UTC
*** Bug 1430867 has been marked as a duplicate of this bug. ***

Comment 19 Takahiro Nakamura 2017-03-10 00:14:09 UTC
Similar problem has been detected:

login from the remote machine by ssh.
$ export DISPLAY=XX.XXX.XX.XX:0 ( IP address of remote machine)
$ emacs

The remorte machine is a Windows machine running Cygwin / X Server.
There was no problem in the middle of February.
This problem occurred recently.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        emacs
crash_function: raise
executable:     /usr/bin/emacs-25.1
global_pid:     18328
kernel:         4.9.13-200.fc25.x86_64
package:        emacs-25.1-3.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         emacs-25.1 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Jan Synacek 2017-03-13 11:34:41 UTC
Please, give the latest build (1:25.2-0.1.rc2.fc27) from my copr (https://copr.fedorainfracloud.org/coprs/jsynacek/emacs-25/) a try.

Comment 21 Takahiro Nakamura 2017-03-15 00:20:01 UTC
(In reply to Jan Synacek from comment #20)
> Please, give the latest build (1:25.2-0.1.rc2.fc27) from my copr
> (https://copr.fedorainfracloud.org/coprs/jsynacek/emacs-25/) a try.

thank you.
emacs.x86_64 1:25.2-0.1.rc2.fc25 is good.
There is no longer occur SIGSEGV.

Comment 22 Takahiro Nakamura 2017-03-15 00:36:46 UTC
(In reply to Takahiro Nakamura from comment #21)
> (In reply to Jan Synacek from comment #20)
> > Please, give the latest build (1:25.2-0.1.rc2.fc27) from my copr
> > (https://copr.fedorainfracloud.org/coprs/jsynacek/emacs-25/) a try.
> 
> thank you.
> emacs.x86_64 1:25.2-0.1.rc2.fc25 is good.
> There is no longer occur SIGSEGV.

sorry.

In the system that executed the latest dnf update, SIGSEGV did not occur even in emacs-25.1-3.fc25.

Comment 23 Ondrej Majerech 2017-03-31 13:15:18 UTC
(In reply to Jan Synacek from comment #20)
> Please, give the latest build (1:25.2-0.1.rc2.fc27) from my copr
> (https://copr.fedorainfracloud.org/coprs/jsynacek/emacs-25/) a try.

I've been using emacs 1:25.2-0.1.rc2.fc25 (not fc27) from your copr for the past few days and so far I've had no crash.

Comment 24 Ranjan Maitra 2017-04-17 14:06:22 UTC
Similar issues continue with 25.1-3.fc25.

Please open the attached file (temp.c) and start typing anything before the first quotation marks (actually or anywhere in that line). Emacs crashes. 

After discussion with emacs developers (see bug 26531 there), the fix is by using ./configure REL_ALLOC=no for 25.1. 

Or upgrading to 25.2-rc2 (which is unlikely because this is still a release candidate).

This is a critical issue for all emacs users -- I have had lots of crashes and finally been able to nail down the issue -- so it would be nice if we could get it fixed even before 25.2 becomes stable and avalable on Fedora.

Here is the thread on the Emacs bugs list:

https://lists.gnu.org/archive/html/bug-gnu-emacs/2017-04/msg00539.html

Thanks again!

Comment 25 Ranjan Maitra 2017-04-17 14:09:12 UTC
Created attachment 1272097 [details]
Small C file (8 lines) called temp.c to illustrate emacs crash

Open in emacs. 
Take cursor to line 6 and before "Usage...."
Start typing (anything). Emacs will crash before you have typed ten characters.
Actually pretty much happens elsewhere also.

Comment 26 Fedora End Of Life 2017-11-16 14:17:32 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 27 Jan Synacek 2017-11-20 09:03:53 UTC
I cannot reproduce this with emacs-25.3-3.fc26.x86_64.


Note You need to log in before you can comment on or make changes to this bug.